package models

// Access 权限模型
type Access struct {
	ID          string `bson:"_id" json:"id,omitempty"`
	ModuleName  string `bson:"module_name" json:"module_name,omitempty"` // 模块名称
	ActionName  string `bson:"action_name" json:"action_name,omitempty"` // 操作名称
	ParentId    string `bson:"parent_id" json:"parent_id,omitempty"`     // 父级ID
	Type        int    `bson:"type" json:"type,omitempty"`               // 节点类型 :  1、表示模块    2、表示菜单     3、操作
	URL         string `bson:"url" json:"url,omitempty"`                 // 路由跳转地址
	Sort        int    `bson:"sort" json:"sort,omitempty"`               // 排序
	Description string `bson:"description" json:"description,omitempty"` // 描述
	Status      int    `bson:"status" json:"status,omitempty"`           // 状态 1、正常  2、禁用
	AddTime     int    `bson:"add_time" json:"add_time,omitempty"`       // 添加时间
}

func (Access) TableName() string {
	return "access"
}
