package models

type Roles struct {
	Id            string `gorm:"column:id;primaryKey" json:"id" bson:"_id"`
	RenterId      uint64 `gorm:"column:renter_id;type:bigint;NOT NULL;comment:租户ID;" json:"renter_id" bson:"renter_id"`
	Name          string `gorm:"column:name;type:varchar(1024);NOT NULL;comment:角色名称" json:"name" bson:"name"`
	PresetId      uint64 `gorm:"column:preset_id;comment:预设角色" json:"preset_id" bson:"preset_id"`
	Desc          string `gorm:"column:desc;comment:描述" json:"desc" bson:"desc"`
	ImportantInfo uint   `gorm:"column:important_info;type:tinyint;comment:重要信息，1：是，2：否" json:"important_info" bson:"important_info"`
	Status        uint   `gorm:"column:status;type:tinyint;default:1;comment:状态，1：正常，2：禁用" json:"status" bson:"status"`
	CreatedAt     uint64 `gorm:"column:created_at;autoCreateTime" json:"created_at" bson:"created_at"`
	DeletedAt     uint64 `gorm:"column:deleted_at;" json:"deleted_at" bson:"deleted_at"`
}

func (t *Roles) TableName() string {
	return "roles"
}
